Subject: Bug#4300: netpbm "Incoming" package

From: "A.R.\(Tom\)Peters" <[email-masked]>
Date: Mon, 26 Aug 1996 22:37:10 +0000

Package: netpbm
Version: 1994.03.01p1-5.i386.deb

N.B.: I earlier sent this to pixar, but resubmit an UPDATED account because
I.Jackson in the debian-user maillist indicated communication problems there.

This is a preliminary package from /Incoming/, and indeed some things don't
work. Specifically, from my Debian-1.1.1 CD, 'ppmforge' or 'ppmforge
-clouds' crashes with a segmentation violation. Since I didn't find the
source for this particular package, I can only make a suggestion on how to
fix it. From a repository I got an 1994 edition of netpbm sources. These
generate a huge amount of warnings during compilation (with gcc), but when
you turn '--pedantic' off in the Makefile, the remainder is tolerable.

'ppmforge' from this collection crashes as well.
The reason is, that calculations are done on an n*n matrix. However, there
is an interpolation whose loop will look at line n+1 . I increased the
matrix to [(n+1)*(n+1)+1), and filled the extras with the first line. That
trick worked fine.

So this is just a reminder that if someone is going to work on netpbm|pbmplus.
        Good luck,
                Tom "thriving on chaos" Peters ([email-masked])